ChangeSet 1.971.1.8, 2003/01/15 12:48:51-08:00, henning@meier-geinitz.de

[PATCH] : scanner.h, scanner.c: New vendor/product ids for visioneer scanners

This patch adds vendor/product ids for two Visioneer scanners.


diff -Nru a/drivers/usb/scanner.c b/drivers/usb/scanner.c
--- a/drivers/usb/scanner.c	Thu Jan 16 10:51:59 2003
+++ b/drivers/usb/scanner.c	Thu Jan 16 10:51:59 2003
@@ -330,6 +330,9 @@
  *    - Add locking to ioctl_scanner(). Thanks to Oliver Neukum
  *      <oliver@neukum.name>.
  *
+ * 0.4.10  01/07/2003
+ *    - Added vendor/product ids for Visioneer scanners.
+ *
  * TODO
  *    - Remove the 2/3 endpoint limitation
  *    - Performance
diff -Nru a/drivers/usb/scanner.h b/drivers/usb/scanner.h
--- a/drivers/usb/scanner.h	Thu Jan 16 10:51:59 2003
+++ b/drivers/usb/scanner.h	Thu Jan 16 10:51:59 2003
@@ -119,6 +119,7 @@
 	{ USB_DEVICE(0x0458, 0x2016) }, /* ColorPage-HR6X */
 	/* Hewlett Packard */
 	{ USB_DEVICE(0x03f0, 0x0505) }, /* ScanJet 2100C */
+	{ USB_DEVICE(0x03f0, 0x0605) },	/* 2200C */
 	{ USB_DEVICE(0x03f0, 0x0901) }, /* 2300C */
 	{ USB_DEVICE(0x03f0, 0x0205) },	/* 3300C */
 	{ USB_DEVICE(0x03f0, 0x0405) }, /* 3400C */
@@ -131,7 +132,6 @@
 	//	{ USB_DEVICE(0x03f0, 0x0701) },	/* 5300C - NOT SUPPORTED - see http://www.neatech.nl/oss/HP5300C/ */
 	{ USB_DEVICE(0x03f0, 0x0201) },	/* 6200C */
 	{ USB_DEVICE(0x03f0, 0x0601) },	/* 6300C */
-	{ USB_DEVICE(0x03f0, 0x605) },	/* 2200C */
 	/* iVina */
 	{ USB_DEVICE(0x0638, 0x0268) }, /* 1200U */
 	/* Lexmark */
@@ -239,6 +239,8 @@
 	{ USB_DEVICE(0x04a7, 0x0311) },	/* 6200 EPP/USB */
 	{ USB_DEVICE(0x04a7, 0x0321) },	/* OneTouch 8100 EPP/USB */
 	{ USB_DEVICE(0x04a7, 0x0331) }, /* OneTouch 8600 EPP/USB */
+	{ USB_DEVICE(0x0461, 0x0345) }, /* 6200 (actually Primax?) */
+	{ USB_DEVICE(0x0461, 0x0371) }, /* Onetouch 8920 USB (actually Primax?) */
 	{ }				/* Terminating entry */
 };
 
